<?php
session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
$accion=$_REQUEST["accion"];
$codigo=$_REQUEST["codigo"];
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$_SESSION['per_validar']=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $_SESSION['per_validar']=''; 
if ($_POST['imprime']==1 ) {
///////////////////////////////////////////////// IMPRIMIR REGISTROS ////////////////////////////////////////////////////////////////
		$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$_POST['pie']=$row['pie'];
			$_POST['encabeza']=$row['encabeza'];
			$_POST['empresa']=(substr($_POST['nomina'],6,100)==""?$_SESSION['empresa_validar']:substr($_POST['nomina'],6,100)) ;
		}   
	require('fpdf.php');

	class PDF extends FPDF {
	function Header()
	{
	    $this->Image($_SESSION['logo_validar'],10,10,20,20);
	    $this->SetFont('arial','',12);
		$this->Ln(2);
	    $this->Cell(0,0,$_POST['empresa'],0,1,'R'); $this->Ln(5);
		$this->Cell(0,0,$_POST['encabeza'],0,1,'R');$this->Ln(5);
		$this->SetFont('arial','',10);
	    $this->Cell(140);$this->Cell(40,0,'Fecha: '.hoy(),0,1,'L'); $this->Ln(5);
	    $this->Cell(140);$this->Cell(40,0,'Usuario: '.$usuario,0,1,'L'); $this->Ln(5);

		$this->Ln(10);
		$this->SetFont('arial','B',14);
		$this->Cell(0,0,'Reporte General de Conceptos',0,1,'C');$this->Ln(5);
	    $header=array('Item','Codigo','Detalle','Cuenta','Tipo','Formula','Acumula');
	    $this->SetFillColor(255,0,0);
	    $this->SetTextColor(255);
	    $this->SetDrawColor(128,0,0);
	    $this->SetLineWidth(.3);
	    $this->SetFont('','');
	    //Cabecera
	    $w=array(15,20,40,35,10,50,25);
		for($i=0;$i<count($header);$i++)
	        $this->Cell($w[$i],5,$header[$i],1,0,'C',1);
	    $this->Ln();
	    //Restauración de colores y fuentes
	    $this->SetFillColor(224,235,255);
	    $this->SetTextColor(0);
	    $this->SetFont('');
	}


//Pie de página ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	function Footer()
	{
	$this->SetY(-15);
	$this->Cell(0,0,'',1,1,'C');
	$this->SetFont('Times','I',8);
	$this->ln(2);
	$this->Cell(20);$this->Cell(0,0,$_POST['pie'],0,1,'C');
	$this->Cell(0,10,'Página '.$this->PageNo().'/{nb}',0,0,'C');
	}
}
//Cuerpo ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	$pdf=new PDF();
	$pdf->AddPage();
	$pdf->AliasNbPages();
	$pdf->SetFont('Arial','',10);
	$pdf->SetFillColor(224,235,255);
	$pdf->SetTextColor(0);
	$consulta=mysqli_query($enlace,'SELECT * from concepto');
	$consulta1=mysqli_query($enlace,'select');
	$linea=0;
	$color=0;
	while($row=mysqli_fetch_array($consulta)) {
		$linea++;
		$pdf->cell(15,5,$linea,0,0,'C',$color);
		$pdf->cell(20,5,$row['codigo'],0,0,'C',$color);
		$pdf->cell(40,5,$row['detalle'],0,0,'C',$color);
		$pdf->cell(35,5,$row['cuenta'],0,0,'C',$color);
		$pdf->cell(10,5,$row['tipo'],0,0,'C',$color);
		$pdf->cell(50,5,$row['formula'],0,0,'C',$color);
		$pdf->cell(25,5,$row['acumula'],0,0,'C',$color);
		$color=!$color;
	}
	$pdf->Output();
}
else {
///////////////////////////////////////////////// INICIO DEL PROGRAMA ////////////////////////////////////////////////////////////////
menu();
$entra=0;
echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='images/b_elimina.png' alt='Elimina'>:Eliminar Conceptos	
&nbsp;&nbsp;<img border = 0 src='images/b_edit.png' alt='Modificar'>:Modificar Conceptos";
echo "&nbsp;&nbsp;(1)<a href='master_concepto_empleado.php'>Desact/Trabajador</a>";
echo "&nbsp;&nbsp;(2)<a href='master_concepto_nomina.php'>Desact/N&oacute;mina</a>";
echo "&nbsp;&nbsp;(3)<a href='master_concepto_periodo.php'>Desact/Per&iacute;odo</a>";
echo "&nbsp;&nbsp;(4)<a href='master_concepto_condicion.php'>Desact/Condici&oacute;n</a>";
echo "</font><hr>";
echo "<h2>Actualizaci&oacute;n de Conceptos</h2>";

$ban=$_REQUEST["ban"];
$accion=$_REQUEST["accion"];
$acu=$_REQUEST["acu"];
$tipo=$_REQUEST["tipo"];
$cta=$_REQUEST["cta"];
$subcta=$_REQUEST["subcta"];
$det=$_REQUEST["det"];
$cod=$_REQUEST["cod"];
$codigo=$_REQUEST["codigo"];
$formula=$_REQUEST["formaula"];
$formulaa=$_REQUEST["formaulaa"];
echo "<font face='verdana' size=2>";
///////////////////////////////////////////////// AGREGAR REGISTROS  ////////////////////////////////////////////////////////////////
	if ($_POST['graba']==1 ) {
		$consulta="Select * from concepto_especiales where id='".$_SESSION['id_validar']."' and codigo = '".$_POST['codigo']."'" ;
		$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$num_rows = mysqli_num_rows($resultado);
		if ($num_rows == 0) {
			$consulta="insert into concepto_especiales (id, codigo, detalle, cuenta, subcuenta, tipo) values ('".$_SESSION['id_validar']."' , '".$_POST['codigo']."',ucase('".$_POST['detalle']."'), ucase('".$_POST['cuenta']."'), ucase('".$_POST['subcuenta']."'), '".$_POST['tipo']."')";
			$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		} else $entra=1;
		$formula="";
		$formulaa="";
	}
    if ($entra) echo "<font face='Verdana, Arial, Helvetica, sans-serif' color ='#FF0000'size=3> (Registro Existe)</font>";
///////////////////////////////////////////////// ACTUALIZAR REGISTROS  ////////////////////////////////////////////////////////////////
	if ($_POST['modifica']==1 ) {
		$consulta="update concepto_especiales set detalle=ucase('".$_POST['detalle']."'),cuenta='".$_POST['cuenta']."',subcuenta='".$_POST['subcuenta']."',tipo = '".$_POST['tipo']."' where id='".$_SESSION['id_validar']."' and codigo='".$_POST['codigo']."' " ;
		$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$formula="";
		$formulaa="";
	}
///////////////////////////////////////////////// MOSTRAR ENTRADA DE DATOS  ////////////////////////////////////////////////////////////////
	if ((!$_POST || $accion==2 || $_POST['graba']==1 || $_POST['modifica']==1 || $accion==9) && $accion!=3 && $ban!=2) {
		echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data' onSubmit='return validar_codigo_detalle_formula(this)'>";
		echo "<input type = 'hidden' name = 'graba' value = '1'>";
		echo "<table cellpadding=2 cellspacing=0 width='500' align='center'>";
		echo "
				<tr>
					<td align = 'right'> C&oacute;digo: </td>
					<td align = 'left'><input type = 'text' name = 'codigo' size = '15' maxlength = '4' value = '$cod' onkeyup='verificar_codigo(this.form)'></td>
					<td align = 'right'> Cuenta: </td>
					<td align = 'left'><input type = 'text' name = 'cuenta' size = '40' maxlength = '50' value = '$cta'></td>
				</tr>
								<tr>
					<td align = 'right'> </td>
					<td align = 'left'> </td>
					<td align = 'right'> Subcuenta: </td>
					<td align = 'left'><input type = 'text' name = 'subcuenta' size = '40' maxlength = '50' value = '$subcta'></td>
				</tr>
				<tr>
					<td align = 'right'> Detalle: </td>
					<td align = 'left' ><input type = 'text' name = 'detalle' size = '40' maxlength = '50' value='$det'></td>
					<td align = 'right'> Tipo: </td>
					<td align = 'left'>
					<select name='tipo'>
					";
					if ($tipo=="A" || $tipo=="") {
						echo "
						<option value = 'A' selected>Asignacion
						<option value = 'D'>Deduccion
						<option value = 'R'>Reporte";
					}
					if ($tipo=="D") {
						echo "
						<option value = 'A'>Asignacion
						<option value = 'D' selected>Deduccion
						<option value = 'R'>Reporte";
					}
					if ($tipo=="R") {
						echo "
						<option value = 'A'>Asignacion
						<option value = 'D'>Deduccion
						<option value = 'R' selected>Reporte";
					}
					echo "						
						</select>
					</td>
				</tr>";
		echo "
				<tr>
					<td align = 'right' > Formula: </td>
					<td align = 'left' colspan = 2>
						<textarea name = 'formula' rows = '5' cols = '50' size='100'>".$formula.$formulaa."</textarea>
					</td>
					<td>
						<input type='button' style='margin-left: 5px; width: 122px' value='Conceptos' onClick='abrir_concepto(1)'><br>
						<input type='button' style='margin-left: 5px; width: 122px' value='Constantes' onClick='abrir_constante(1)'><br>
						<input type='button' style='margin-left: 5px; width: 122px' value='Ficha' onClick='abrir_ficha(1)'><br>
					</td>
				</tr>";
		echo "
				<tr>
					<td align = 'right' > Concepto para Utilidades?: </td>
					<td align = 'left' colspan = 3>
						<select name='acumula'>";
						echo $acu;
					if ($acu=="NO" || $acu=="") {
						echo "
						<option value='NO' selected>NO
						<option value='SI'>SI";
					} else {
						echo "
						<option value='NO'>NO
						<option value='SI' selected>SI";
					}
					echo "
						</select>
						<input type = 'submit' name =  'procesar' value = 'Grabar Registro'>
					</td>
				</tr>";
		echo "</table>";
		echo "	<script language='JavaScript' type='text/JavaScript'>";
		echo "		document.entrada.codigo.focus()";
		echo "	</script>";
		echo "	</form>"; 
	}
///////////////////////////////////////////////// ELIMINAR REGISTROS ////////////////////////////////////////////////////////////////
	if ($accion==2) { 
		$consulta="delete from concepto_especiales where id='".$_SESSION['id_validar']."' and codigo='".$codigo."' ";
		$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	}
///////////////////////////////////////////////// MODIFICAR REGISTROS ////////////////////////////////////////////////////////////////
	if ($accion==3 || $ban==2) {
		$consulta="Select * from concepto_especiales where id='".$_SESSION['id_validar']."' and codigo = '".$codigo."'" ;
		$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$num_rows = mysqli_num_rows($resultado);
// CARGAR REGISTRO SI NO EXISTE
		if ($num_rows != 0) {
				$row=mysqli_fetch_array($resultado);
				if ($accion==3) {
					$cod=$row[0];
					$cta=$row[2];
					$subcta=$row[3];
					$det=$row[1];
					$formula=$row[5];
					$tipo=$row[4];
					$acu=$row[6];
				}
echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data' onSubmit='return validar_codigo_detalle_formula(this)'>";
		echo "<input type = 'hidden' name = 'modifica' value = '1'>";
		echo "<table cellpadding=2 cellspacing=0 width='500' align='center'>";
		echo "
				<tr>
					<td align = 'right'> C&oacute;digo: </td>
					<td align = 'left'><input type = 'text' name = 'codigo' size = '15' maxlength = '4' value = '$cod' readonly></td>
					<td align = 'right'> Cuenta: </td>
					<td align = 'left'><input type = 'text' name = 'cuenta' size = '40' maxlength = '50' value = '$cta'></td>
				</tr>
				
				<tr>
					<td align = 'right'> </td>
					<td align = 'left'> </td>
					<td align = 'right'> Subcuenta: </td>
					<td align = 'left'><input type = 'text' name = 'subcuenta' size = '40' maxlength = '50' value = '$subcta'></td>
				</tr>
				
				<tr>
					<td align = 'right'> Detalle: </td>
					<td align = 'left' ><input type = 'text' name = 'detalle' size = '40' maxlength = '50' value='$det'></td>
					<td align = 'right'> Tipo: </td>
					<td align = 'left'>
					<select name='tipo'>";
					if ($tipo=="A" || $tipo=="") {
						echo "
						<option value = 'A' selected>Asignacion
						<option value = 'D'>Deduccion
						<option value = 'R'>Reporte";
					}
					if ($tipo=="D") {
						echo "
						<option value = 'A'>Asignacion
						<option value = 'D' selected>Deduccion
						<option value = 'R'>Reporte";
					}
					if ($tipo=="R") {
						echo "
						<option value = 'A'>Asignacion
						<option value = 'D'>Deduccion
						<option value = 'R' selected>Reporte";
					}
					echo "						
						</select>
					</td>
				</tr>";
		echo "
				<tr>
					<td align = 'right' > Formula: </td>
					<td align = 'left' colspan = 2>
						<textarea name = 'formula' rows = '5' cols = '50'>".$formula.$formulaa."</textarea>
					</td>
					<td>
						<input type='button' style='margin-left: 5px; width: 122px' value='Conceptos' onClick='abrir_concepto(2)'><br>
						<input type='button' style='margin-left: 5px; width: 122px' value='Constantes' onClick='abrir_constante(2)'><br>
						<input type='button' style='margin-left: 5px; width: 122px' value='Ficha' onClick='abrir_ficha(2)'><br>
					</td>
				</tr>";
		echo "
				<tr>
					<td align = 'right' > Concepto para Utilidades?: </td>
					<td align = 'left' colspan = 3>
						<select name='acumula'>";
						echo $acu;
					if ($acu=="NO" || $acu=="") {
						echo "
						<option value='NO' selected>NO
						<option value='SI'>SI";
					} else {
						echo "
						<option value='NO'>NO
						<option value='SI' selected>SI";
					}
					echo "
						</select>
						<input type = 'submit' name =  'grabar' value = 'Grabar Registro'>
					</td>
				</tr>";
		echo "</table>";
		echo "	<script language='JavaScript' type='text/JavaScript'>";
		echo "		document.entrada.codigo.focus()";
		echo "	</script>";
		echo "	</form>"; 				
			}
	}
///////////////////////////////////////////////// MOSTRAR TABLA DE REGISTROS ////////////////////////////////////////////////////////////////
	$consulta="Select * from concepto_especiales where id='".$_SESSION['id_validar']."' order by codigo";
	$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$num_rows = mysqli_num_rows($resultado);
	if ($num_rows != 0){
			echo "<table border=1 cellpadding=2 cellspacing=0 width='900' align='center'>";
			echo "<tr BGcolor='#00BFFF' >";
			echo "<th ali=center><font face='verdana' size=2>C&oacute;digo</font></th> ";
			echo "<th ali=center><font face='verdana' size=2>Detalle</font></th>";
			echo "<th ali=center><font face='verdana' size=2>Tipo</font></th>";
			echo "<th ali=center><font face='verdana' size=2>Uti?</font></th>";
			echo "<th ali=center><font face='verdana' size=2>Cuenta</font></th>";
			echo "<th ali=center><font face='verdana' size=2>Subcuenta</font></th>";
			
			echo "<th colspan=2 ali=center><font face='verdana' size=2>Acci&oacute;n</font></th>";
			echo "<th ali=center><font face='verdana' size=2>Formula</font></th></tr>";
			for ($cont=0;$cont<$num_rows;$cont++) {
				$row = mysqli_fetch_array($resultado);
				if ($color) $tcolor="#BFE5FF";
				else $tcolor="#F4FEFF";
				$color=!$color;
				if ($row['acumula']=='SI') $tcolor='yellow';
				echo '<tr bgcolor="'.$tcolor.'" >';
				echo '<td width="100">'.$row['codigo'].'</td>';
				echo '<td width="200">'.$row['detalle'].'</td>';
				if ($row['tipo']=='A') echo '<td  align=center width="60">Asignaci&oacute;n</td>';
				if ($row['tipo']=='D') echo '<td  align=center width="60">Deducci&oacute;n</td>';
				if ($row['tipo']=='R') echo '<td  align=center width="60">Reporte</td>';
				$codigo = $row['codigo'];
				echo '<td width="60">'.$row['acumula'].'</td>';
				echo '<td width="60">'.$row['cuenta'].'</td>';
				echo '<td width="60">'.$row['subcuenta'].'</td>';
				
				if (substr($_SESSION['acceso_validar'],18,1)==0) echo "<td width='60' align='center'></td>";
				else echo "<td width='60' align='center'><a onclick='return validar_elimina()' href='".$_SERVER['PHP_SELF']."?accion=2&codigo=".$codigo."'><img  border = 0  src='images/b_elimina.png' alt='eliminar éste registro' ></a></td>";
				echo "<td width='60' align='center'><a href='".$_SERVER['PHP_SELF']."?accion=3&codigo=".$codigo."'><img border = 0 src='images/b_edit.png' alt='modificar éste registro'></a></td>";
				echo '<td  align=left width="300">'.$row['formula'].'</td>';
				echo '</tr>';
			}
			echo '</table>';
			echo "<form name='imprimir' method='POST' target ='_blank' action='".$_SERVER['PHP_SELF']."' enctype='multipart/form-data'>";
			echo "  <input type = 'hidden' name = 'imprime' value = '1'>";
			echo "<center><input type = 'submit' value = 'Imprimir Resultado'></center></form>";
	} else echo "<hr>"; 		
	mysqli_free_result($resultado);
	mysqli_close($enlace);
	echo "	<script language='JavaScript' type='text/JavaScript'>";
	echo "		document.entrada.codigo.focus()";
	echo "	</script>";
    echo "</body>";
	echo "</html>";
}
?>